Argentina company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ar-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "30-54668997-9"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ar-companies"
payload = { "company": "30-54668997-9" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: '30-54668997-9'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ar-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ar_company",
"company": "30-54668997-9",
"company_id": "30546689979",
"human": "# Argentina — Registro Nacional de Sociedades (IGJ) — company\n\n- **Number:** 30546689979\n- **Pages opened:** 1\n- **Proxy traffic:** 37.7 KB\n- **Name:** YPF SOCIEDAD ANONIMA\n- **Type:** SOCIEDAD ANONIMA\n- **Address:** GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD AUTONOMA BUENOS AIRES\n- **Source:** https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30546689979&razon=",
"machine": {
"company": {
"registration_number": "30-54668997-9",
"name": "YPF SOCIEDAD ANONIMA",
"status": null,
"address": "GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD AUTONOMA BUENOS AIRES",
"url": "https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30546689979&razon=",
"company_type": "SOCIEDAD ANONIMA",
"incorporation_date": null,
"local_registration_number": null,
"main_activity": "61000 - Extracción de petróleo crudo",
"activities": [
{
"code": "61000",
"description": "Extracción de petróleo crudo"
},
{
"code": "661121",
"description": "Servicios de mercados a término"
}
],
"legal_address": {
"address": "GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD AUTONOMA BUENOS AIRES",
"province": "CIUDAD AUTONOMA BUENOS AIRES",
"locality": "CAPITAL FEDERAL",
"postal_code": "1106",
"address_status": "DECLARADO POR INTERNET"
},
"fiscal_address": {
"address": "GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD AUTONOMA BUENOS AIRES",
"province": "CIUDAD AUTONOMA BUENOS AIRES",
"locality": "CAPITAL FEDERAL",
"postal_code": "1106",
"address_status": "CONFIRMADO"
},
"last_update_date": "2026-09-14",
"data_cutoff_date": "2018-11-13"
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 38594
},
"total_points": 5
}Company Registries
Argentina company
Get one company from the Argentina registry of legal entities (Registro Nacional de Sociedades, IGJ) by CUIT or registry link: name, company type, contract date, legal and fiscal address, activities and last update. 5 point per returned record.
POST
/
functions
/
v1
/
run-ar-companies
Argentina company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
CUIT or registry URL. e.g. 30-54668997-9
Response
Run completed.